Weav

Create company

POST https://api.weav.com/v1/companies

Requires a token with the external-api:write ability.

Body

namestringrequired

Maximum length: 50.

domainstring | null

Maximum length: 255.

countrystring | null

ISO 3166-1 alpha-2 country code (2 uppercase letters)

Request

cURL
curl --request POST \
  --url 'https://api.weav.com/v1/companies' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string"
}'
JavaScript
const body = {
  "name": "string"
};
const response = await fetch("https://api.weav.com/v1/companies", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"name": "string"}
response = requests.post("https://api.weav.com/v1/companies", headers=headers, json=body)
print(response.json())
PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/companies', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'name' => 'string',
),
]);
echo $response->getBody();

Response

201 Created
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "name": "Acme Corp",
    "domain": "acme.com",
    "country": "US",
    "avatar_url": "https://example.com",
    "first_seen_at": "2026-01-01T00:00:00Z",
    "last_seen_at": "2026-01-01T00:00:00Z",
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
  • 400 Bad Request
  • 401 Unauthorized

Response fields

idstring

Format: uuid.

namestring
domainstring
countrystring | null
avatar_urlstring | null

Format: url.

first_seen_atstring | null

Format: date-time.

last_seen_atstring | null

Format: date-time.

created_atstring | null

Format: date-time.

updated_atstring | null

Format: date-time.